// Actel Corporation Proprietary and Confidential
// Copyright 2010 Actel Corporation.  All rights reserved.
// ANY USE OR REDISTRIBUTION IN PART OR IN WHOLE MUST BE HANDLED IN
// ACCORDANCE WITH THE ACTEL LICENSE AGREEMENT AND MUST BE APPROVED
// IN ADVANCE IN WRITING.
// Revision Information:
// 10Feb10              Production Release Version 3.1
// SVN Revision Information:
// SVN $Revision: 11955 $
// SVN $Date: 2010-01-30 23:35:13 +0000 (Sat, 30 Jan 2010) $
`timescale 1ns/1ps
module
CAHBLTIIl
(
input
HCLK,
input
HRESETN,
input
CAHBLTlIl,
output
reg
CAHBLTOll,
output
reg
CAHBLTIll
)
;
localparam
CAHBLTlll
=
1
'b
0
;
localparam
CAHBLTO0l
=
1
'b
1
;
reg
CAHBLTI0l
;
reg
CAHBLTl0l
;
always
@(*)
begin
CAHBLTOll
=
1
'b
1
;
CAHBLTIll
=
1
'b
0
;
case
(
CAHBLTl0l
)
CAHBLTlll
:
begin
if
(
CAHBLTlIl
)
begin
CAHBLTOll
=
1
'b
0
;
CAHBLTIll
=
1
'b
1
;
CAHBLTI0l
=
CAHBLTO0l
;
end
else
CAHBLTI0l
=
CAHBLTlll
;
end
CAHBLTO0l
:
begin
CAHBLTIll
=
1
'b
1
;
CAHBLTI0l
=
CAHBLTlll
;
end
default
:
CAHBLTI0l
=
CAHBLTlll
;
endcase
end
always
@
(
posedge
HCLK
or
negedge
HRESETN
)
begin
if
(
!
HRESETN
)
CAHBLTl0l
<=
CAHBLTlll
;
else
CAHBLTl0l
<=
CAHBLTI0l
;
end
endmodule
